#include "TwinJumpAttack.h"
#include "Net/UnrealNetwork.h"

class ADBDPlayer;

void UTwinJumpAttack::Server_StopJump_Implementation()
{

}

void UTwinJumpAttack::Server_OnJumpStartTwin_Implementation()
{

}

void UTwinJumpAttack::OnRep_ShouldTwinHaveJumpObjectType()
{

}

void UTwinJumpAttack::Multicast_SetIsForbiddenLandingLocation_Implementation(bool isForbiddenLocation)
{

}

void UTwinJumpAttack::Multicast_DestroyTwinOnWrongLanding_Implementation()
{

}

void UTwinJumpAttack::Multicast_AttachToSurvivor_Implementation(ADBDPlayer* survivorToAttachTo)
{

}

void UTwinJumpAttack::Client_Debug_PrintLandingLocationDebug_Implementation(const bool foundProjectedPoint, const bool foundPath)
{

}

void UTwinJumpAttack::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UTwinJumpAttack, _shouldTwinHaveJumpObjectType);
}

UTwinJumpAttack::UTwinJumpAttack()
{
	this->_wasLastAttackSuccessful = false;
	this->_shouldTwinHaveJumpObjectType = false;
}
